Bug 1281828 - [abrt] evolution: magazine_chain_pop_head(): evolution-alarm-notify killed by SIGSEGV
[abrt] evolution: magazine_chain_pop_head(): evolution-alarm-notify killed by...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7adfd265ae56226ddbca7f785fa...
:
: 1283735 1323849 1376072 1377043 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 09:28 EST by Francesco Frassinelli (frafra)
Modified: 2017-08-08 08:23 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:23:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (46.46 KB, text/plain)
2015-11-13 09:28 EST, Francesco Frassinelli (frafra)
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-13 09:28 EST, Francesco Frassinelli (frafra)
no flags Details
File: core_backtrace (19.41 KB, text/plain)
2015-11-13 09:28 EST, Francesco Frassinelli (frafra)
no flags Details
File: dso_list (18.02 KB, text/plain)
2015-11-13 09:28 EST, Francesco Frassinelli (frafra)
no flags Details
File: environ (949 bytes, text/plain)
2015-11-13 09:28 EST, Francesco Frassinelli (frafra)
no flags Details
File: exploitable (93 bytes, text/plain)
2015-11-13 09:28 EST, Francesco Frassinelli (frafra)
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-13 09:28 EST, Francesco Frassinelli (frafra)
no flags Details
File: maps (80.68 KB, text/plain)
2015-11-13 09:28 EST, Francesco Frassinelli (frafra)
no flags Details
File: mountinfo (3.61 KB, text/plain)
2015-11-13 09:28 EST, Francesco Frassinelli (frafra)
no flags Details
File: open_fds (1.07 KB, text/plain)
2015-11-13 09:28 EST, Francesco Frassinelli (frafra)
no flags Details
File: proc_pid_status (1015 bytes, text/plain)
2015-11-13 09:28 EST, Francesco Frassinelli (frafra)
no flags Details

  None (edit)
Description Francesco Frassinelli (frafra) 2015-11-13 09:28:25 EST
Version-Release number of selected component:
evolution-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/evolution/evolution-alarm-notify
crash_function: magazine_chain_pop_head
executable:     /usr/libexec/evolution/evolution-alarm-notify
global_pid:     2068
kernel:         4.2.5-300.fc23.x86_64
runlevel:       unknown
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at gslice.c:539
 #1 thread_memory_magazine1_alloc at gslice.c:842
 #2 g_slice_alloc at gslice.c:998
 #3 g_ptr_array_sized_new at garray.c:900
 #4 g_ptr_array_new at garray.c:881
 #5 g_main_context_new at gmain.c:649
 #6 g_dbus_connection_send_message_with_reply_sync at gdbusconnection.c:2134
 #7 g_dbus_connection_call_sync_internal at gdbusconnection.c:5930
 #8 g_dbus_connection_call_with_unix_fd_list_sync at gdbusconnection.c:6276
 #9 g_dbus_proxy_call_sync_internal at gdbusproxy.c:2852

Potential duplicate: bug 979186
Comment 1 Francesco Frassinelli (frafra) 2015-11-13 09:28:32 EST
Created attachment 1093674 [details]
File: backtrace
Comment 2 Francesco Frassinelli (frafra) 2015-11-13 09:28:33 EST
Created attachment 1093675 [details]
File: cgroup
Comment 3 Francesco Frassinelli (frafra) 2015-11-13 09:28:35 EST
Created attachment 1093676 [details]
File: core_backtrace
Comment 4 Francesco Frassinelli (frafra) 2015-11-13 09:28:37 EST
Created attachment 1093677 [details]
File: dso_list
Comment 5 Francesco Frassinelli (frafra) 2015-11-13 09:28:39 EST
Created attachment 1093678 [details]
File: environ
Comment 6 Francesco Frassinelli (frafra) 2015-11-13 09:28:40 EST
Created attachment 1093679 [details]
File: exploitable
Comment 7 Francesco Frassinelli (frafra) 2015-11-13 09:28:42 EST
Created attachment 1093680 [details]
File: limits
Comment 8 Francesco Frassinelli (frafra) 2015-11-13 09:28:45 EST
Created attachment 1093681 [details]
File: maps
Comment 9 Francesco Frassinelli (frafra) 2015-11-13 09:28:46 EST
Created attachment 1093682 [details]
File: mountinfo
Comment 10 Francesco Frassinelli (frafra) 2015-11-13 09:28:48 EST
Created attachment 1093683 [details]
File: open_fds
Comment 11 Francesco Frassinelli (frafra) 2015-11-13 09:28:50 EST
Created attachment 1093684 [details]
File: proc_pid_status
Comment 12 Milan Crha 2015-11-16 06:30:32 EST
Thanks for a bug report. The threads 7 to 2, inclusive, in the backtrace look odd. The crashing thread crashes in a place which is usually tight to a memory corruption of some sort (like the code using already freed memory or something like that).

By any chance, do you know what to do to cause the crash, please? As this is in the alarm notify, it might not be necessary anything you did, but rather some queued alarms getting in a state of being reminded. The backtrace itself suggests that the crash happened at the very start of the application, when it was opening the calendars.
Comment 13 Giulio 'juliuxpigface' 2015-12-04 02:12:24 EST
Another user experienced a similar problem:

Abrt displayed the notify about this crash after the login into a Gnome+Wayland session. However, it's the first time I see it: I'm also unable to reproduce it.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/evolution/evolution-alarm-notify
crash_function: magazine_chain_pop_head
executable:     /usr/libexec/evolution/evolution-alarm-notify
global_pid:     2280
kernel:         4.2.6-301.fc23.x86_64
package:        evolution-3.18.2-1.fc23
reason:         evolution-alarm-notify killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Giulio 'juliuxpigface' 2015-12-04 02:15:37 EST
(In reply to Milan Crha from comment #12)
> By any chance, do you know what to do to cause the crash, please? As this is
> in the alarm notify, it might not be necessary anything you did, but rather
> some queued alarms getting in a state of being reminded. The backtrace
> itself suggests that the crash happened at the very start of the
> application, when it was opening the calendars.


Yesterday I had an event planned for 20.00 o' clock. At that time, I've probably skipped/denied it: today I encountered this bug.
Comment 15 Milan Crha 2016-04-05 04:09:14 EDT
*** Bug 1283735 has been marked as a duplicate of this bug. ***
Comment 16 Milan Crha 2016-04-05 04:09:46 EDT
*** Bug 1323849 has been marked as a duplicate of this bug. ***
Comment 17 Theo 2016-09-14 11:08:12 EDT
*** Bug 1376072 has been marked as a duplicate of this bug. ***
Comment 18 Paulim_hed 2016-09-17 20:19:19 EDT
*** Bug 1377043 has been marked as a duplicate of this bug. ***
Comment 19 Fedora End Of Life 2017-07-25 15:29:15 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2017-08-08 08:23:53 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.